Forum Posts

Nick Salve
Jan 23, 2020
In Bugs - Archived
Hey friends! I'm trying to setup CR on a Raspberry Pi. The unfortunate and difficult part of this is that most of it has to be done headless since Blender can't open the UI on a Pi. I've installed Blender and downloaded the .zip of the addon. Looking online, i've found some instructions to create my own .py script to install the addon for me. import bpy bpy.ops.wm.addon_install(filepath='/home/pi/Downloads/cr_022_bl280.zip') bpy.ops.wm.addon_enable(module='crowdrender') bpy.ops.wm.save_userpref() This seems to work as far as blender is concerned but this is what happens when CR tries to install. (sorry for the formatting) TLDR: ImportError: CrowdRender is not able to run because it can't import necessarycomponents, please e-mail us at info@crowdrender.com.au to report this. I know you want me to email you but I thought documenting it here might help some folks who have the same crazy idea as me! pi@raspberrypi:~ $ blender -b -P install_cr.py Warning: Falling back to the standard locale ("C") addon_utils.disable: crowdrender not disabled. Modules Installed (crowdrender) from '/home/pi/Downloads/cr_022_bl280.zip' into '/home/pi/.config/blender/2.79/scripts/addons' Info: Modules Installed (crowdrender) from '/home/pi/Downloads/cr_022_bl280.zip' into '/home/pi/.config/blender/2.79/scripts/addons' Info: Modules Installed (crowdrender) from '/home/pi/Downloads/cr_022_bl280.zip' into '/home/pi/.config/blender/2.79/scripts/addons' Exception in module register(): '/home/pi/.config/blender/2.79/scripts/addons/crowdrender/__init__.py' Traceback (most recent call last): File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/py_3_7/__init__.py", line 71, in <module> import bpy, imp, subprocess, sys, os, zmq File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/__init__.py", line 47, in <module> from zmq import backend File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/__init__.py", line 40, in <module> reraise(*exc_info) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/utils/sixcerpt.py", line 34, in reraise raise value File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/__init__.py", line 27, in <module> _ns = select_backend(first) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/select.py", line 27, in select_backend mod = __import__(name, fromlist=public_api) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/cython/__init__.py", line 6, in <module> from . import (constants, error, message, context, ImportError: cannot import name 'constants' from 'zmq.backend.cython' (/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/cython/__init__.py) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/blender/scripts/modules/addon_utils.py", line 350, in enable mod.register() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/__init__.py", line 117, in register cr_source.register() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/__init__.py", line 89, in register select_versions() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/__init__.py", line 69, in select_versions from . import py_3_7 as cr_version File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/py_3_7/__init__.py", line 95, in <module> raise ImportError("CrowdRender is not able to run because it can't import necessary"+\ ImportError: CrowdRender is not able to run because it can't import necessarycomponents, please e-mail us at info@crowdrender.com.au to report this. Error: Traceback (most recent call last): File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/py_3_7/__init__.py", line 71, in <module> import bpy, imp, subprocess, sys, os, zmq File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/__init__.py", line 47, in <module> from zmq import backend File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/__init__.py", line 40, in <module> reraise(*exc_info) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/utils/sixcerpt.py", line 34, in reraise raise value File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/__init__.py", line 27, in <module> _ns = select_backend(first) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/select.py", line 27, in select_backend mod = __import__(name, fromlist=public_api) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/cython/__init__.py", line 6, in <module> from . import (constants, error, message, context, ImportError: cannot import name 'constants' from 'zmq.backend.cython' (/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/cython/__init__.py) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/blender/scripts/modules/addon_utils.py", line 350, in enable mod.register() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/__init__.py", line 117, in register cr_source.register() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/__init__.py", line 89, in register select_versions() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/__init__.py", line 69, in select_versions from . import py_3_7 as cr_version File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/py_3_7/__init__.py", line 95, in <module> raise ImportError("CrowdRender is not able to run because it can't import necessary"+\ ImportError: CrowdRender is not able to run because it can't import necessarycomponents, please e-mail us at info@crowdrender.com.au to report this. Error: Traceback (most recent call last): File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/py_3_7/__init__.py", line 71, in <module> import bpy, imp, subprocess, sys, os, zmq File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/__init__.py", line 47, in <module> from zmq import backend File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/__init__.py", line 40, in <module> reraise(*exc_info) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/utils/sixcerpt.py", line 34, in reraise raise value File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/__init__.py", line 27, in <module> _ns = select_backend(first) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/select.py", line 27, in select_backend mod = __import__(name, fromlist=public_api) File "/home/pi/.config/blendeTraceback (most recent call last): File "/home/pi/install_cr.py", line 3, in <module> bpy.ops.wm.addon_enable(module='crowdrender') File "/usr/share/blender/scripts/modules/bpy/ops.py", line 189, in __call__ ret = op_call(self.idname_py(), None, kw) RuntimeError: Error: Traceback (most recent call last): File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/py_3_7/__init__.py", line 71, in <module> import bpy, imp, subprocess, sys, os, zmq File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/__init__.py", line 47, in <module> from zmq import backend File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/__init__.py", line 40, in <module> reraise(*exc_info) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/utils/sixcerpt.py", line 34, in reraise raise value File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/__init__.py", line 27, in <module> _ns = select_backend(first) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/select.py", line 27, in select_backend mod = __import__(name, fromlist=public_api) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/cython/__init__.py", line 6, in <module> from . import (constants, error, message, context, ImportError: cannot import name 'constants' from 'zmq.backend.cython' (/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/cython/__init__.py) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/blender/scripts/modules/addon_utils.py", line 350, in enable mod.register() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/__init__.py", line 117, in register cr_source.register() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/__init__.py", line 89, in register select_versions() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/__init__.py", line 69, in select_versions from . import py_3_7 as cr_version File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/py_3_7/__init__.py", line 95, in <module> raise ImportError("CrowdRender is not able to run because it can't import necessary"+\ ImportError: CrowdRender is not able to run because it can't import necessarycomponents, please e-mail us at info@crowdrender.com.au to report this. ... truncated Blender quit Cheers! Nick
0
6
555

Nick Salve

More actions